summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-02-25 13:51:57 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2017-02-25 20:42:26 +0100
commit3d0664d56ca9492bba817398a894fb7dcc80ba56 (patch)
treeea2a01e2d0561701d1263a2412e1c22256c3c4ad /www-client/qupzilla
parentdev-vcs/subversion: Rename USE=kde -> kwallet (diff)
downloadgentoo-3d0664d56ca9492bba817398a894fb7dcc80ba56.tar.gz
gentoo-3d0664d56ca9492bba817398a894fb7dcc80ba56.tar.bz2
gentoo-3d0664d56ca9492bba817398a894fb7dcc80ba56.zip
www-client/qupzilla: 2.1.1 version bump
Changing HOMEPAGE to https. dev-qt/qtconcurrent is not linked against. Adding subslot operator to openssl. Reported-by: Arnaud Vallette d'Osia <arnaudv6@free.fr> Gentoo-bug: 610584 Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'www-client/qupzilla')
-rw-r--r--www-client/qupzilla/Manifest1
-rw-r--r--www-client/qupzilla/qupzilla-2.1.1.ebuild108
2 files changed, 109 insertions, 0 deletions
diff --git a/www-client/qupzilla/Manifest b/www-client/qupzilla/Manifest
index ce47edf04df..7661328962b 100644
--- a/www-client/qupzilla/Manifest
+++ b/www-client/qupzilla/Manifest
@@ -1,2 +1,3 @@
DIST QupZilla-2.0.2.tar.xz 2705700 SHA256 da4f9b3441386cfcc3000b950c40daa8818380d69b5054f156a345fdbac3855a SHA512 52a549a58545fc67a213a6aba50772974e2558887cc32d56a702185170e0a6048ac8c9744e8d4803b7d7ad09bdbb59d8562992b201cd99833dd055ee2506c08a WHIRLPOOL e3ae7d05dcc329e53103d273d9882a44fc6f46568078343c78d98192b6e960c623331e307f6ba414371eff29c505c9881c80414eb2670d6bfeef2490ddeea74e
+DIST QupZilla-2.1.1.tar.xz 2769088 SHA256 5c2137875574607c017f3f94288f08f8ec4187d0d0ea4877f923437aeb08def5 SHA512 ae52fb0c3bd9f8445fd27589954b04f467fa00730a99652a19daf81dcc93e30eca76a16f14f3fba144e1d7feccf2685bd5855e896b938356f1a67daad9a340e1 WHIRLPOOL 61cbe3fe7ccce7027edf09e9eb820a6a82460d594d6efdbb741b8b301a5400fc7b2362429775d575e1f793b457425afe8cf7991c210ed97b277ce7a2d1a232b7
DIST qupzilla-plugins-2016.05.02.tar.gz 425314 SHA256 276491a89daf1b64d6eab861b54d313e85c815d322bf51d47491f00ad22f55bc SHA512 b294ecb2372b3267603a43bc7412ab75d2cd29a8c4667331f0d2c74e3b0b99d0c2a005b9e4854c6d777894522bba9fb3b1607e85e8da6dcbaa760c9ddc6288f2 WHIRLPOOL 471807dc70dd3ea072f1e429a6e67ea97ecd5eadc02ac19debdcddfca4f5cb8e1767ad754aed1ff8a557f0734460a87b4e2d5e01ea57d07c473f48b006e32ef1
diff --git a/www-client/qupzilla/qupzilla-2.1.1.ebuild b/www-client/qupzilla/qupzilla-2.1.1.ebuild
new file mode 100644
index 00000000000..5671cacee28
--- /dev/null
+++ b/www-client/qupzilla/qupzilla-2.1.1.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PLOCALES="ar_SA bg_BG ca_ES cs_CZ da_DK de_DE el_GR es_ES es_MX es_VE eu_ES
+ fa_IR fi_FI fr_FR gl_ES he_IL hr_HR hu_HU id_ID is it_IT ja_JP ka_GE
+ lg lt lv_LV nl_NL nqo pl_PL pt_BR pt_PT ro_RO ru_RU sk_SK sr
+ sr@ijekavian sr@ijekavianlatin sr@latin sv_SE tr_TR uk_UA uz@Latn
+ zh_CN zh_HK zh_TW"
+
+PLUGINS_HASH='c332d306c0f6cf645c75eaf198d2fc5e12339e9e'
+PLUGINS_VERSION='2016.05.02' # if there are no updates, we can use the older archive
+
+inherit l10n qmake-utils
+
+if [[ ${PV} == *9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/QupZilla/${PN}.git"
+else
+ MY_P=QupZilla-${PV}
+ SRC_URI="https://github.com/QupZilla/${PN}/releases/download/v${PV}/${MY_P}.tar.xz"
+ KEYWORDS="~amd64 ~x86"
+ S=${WORKDIR}/${MY_P}
+fi
+
+DESCRIPTION="A cross-platform web browser using QtWebEngine"
+HOMEPAGE="https://www.qupzilla.com/"
+SRC_URI+=" https://github.com/QupZilla/${PN}-plugins/archive/${PLUGINS_HASH}.tar.gz -> ${PN}-plugins-${PLUGINS_VERSION}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="dbus debug gnome-keyring kwallet libressl nonblockdialogs"
+
+RDEPEND="
+ >=dev-qt/qtcore-5.7.1:5
+ >=dev-qt/qtdeclarative-5.7.1:5[widgets]
+ >=dev-qt/qtgui-5.7.1:5
+ >=dev-qt/qtnetwork-5.7.1:5[ssl]
+ >=dev-qt/qtprintsupport-5.7.1:5
+ >=dev-qt/qtsql-5.7.1:5[sqlite]
+ >=dev-qt/qtwebchannel-5.7.1:5
+ >=dev-qt/qtwebengine-5.7.1:5[widgets]
+ >=dev-qt/qtwidgets-5.7.1:5
+ >=dev-qt/qtx11extras-5.7.1:5
+ x11-libs/libxcb:=
+ dbus? ( >=dev-qt/qtdbus-5.7.1:5 )
+ gnome-keyring? ( gnome-base/gnome-keyring )
+ kwallet? ( kde-frameworks/kwallet:5 )
+ libressl? ( dev-libs/libressl:= )
+ !libressl? ( dev-libs/openssl:0= )
+"
+DEPEND="${RDEPEND}
+ >=dev-qt/linguist-tools-5.7.1:5
+ >=dev-qt/qtconcurrent-5.7.1:5
+ virtual/pkgconfig
+"
+
+DOCS=( AUTHORS BUILDING.md CHANGELOG FAQ README.md )
+
+src_unpack() {
+ if [[ ${PV} == *9999 ]]; then
+ git-r3_src_unpack
+ fi
+ default
+}
+
+src_prepare() {
+ # get extra plugins into qupzilla build tree
+ mv "${WORKDIR}"/${PN}-plugins-${PLUGINS_HASH}/plugins/* "${S}"/src/plugins/ || die
+
+ rm_loc() {
+ # remove localizations the user has not specified
+ sed -i -e "/${1}.ts/d" translations/translations.pri || die
+ rm translations/${1}.ts || die
+ }
+
+ # remove outdated prebuilt localizations
+ rm -rf bin/locale || die
+
+ # remove empty locale
+ rm translations/empty.ts || die
+
+ l10n_find_plocales_changes translations '' .ts
+ l10n_for_each_disabled_locale_do rm_loc
+
+ default
+}
+
+src_configure() {
+ # see BUILDING document for explanation of options
+ export \
+ QUPZILLA_PREFIX="${EPREFIX}/usr" \
+ USE_LIBPATH="${EPREFIX}/usr/$(get_libdir)" \
+ DEBUG_BUILD=$(usex debug true '') \
+ DISABLE_DBUS=$(usex dbus '' true) \
+ GNOME_INTEGRATION=$(usex gnome-keyring true '') \
+ KDE_INTEGRATION=$(usex kwallet true '') \
+ NONBLOCK_JS_DIALOGS=$(usex nonblockdialogs true '')
+
+ eqmake5
+}
+
+src_install() {
+ emake INSTALL_ROOT="${D}" install
+ einstalldocs
+}